Name: jogl
Version: 1.1.1_rc6
Release: alt4

Summary: java OpenGL library
License: BSD 
Group: Development/Java
Url: https://jogl.dev.java.net/
Packager: Denis Medvedev <nbr@altlinux.ru>

Source: jogl.tar.bz2 

%set_verify_elf_method relaxed
# Common dependencies
BuildPreReq: /proc rpm-build-java java-1.5.0-sun-devel antlr gcc-c++  libmesa-devel xorg-x11-mesagl ant-antlr ant-contrib cpptasks glibc-devel glibc-core gluegen
BuildRequires:  ant 
Requires: java-common ant-antlr gluegen glibc-core 


%description
Provides OpenGL bindings for Java
Allows 3d operations with objects

%package manual
Summary: Manual for %name
Group: Documentation

%description manual
Documentation for %name


%prep
%setup -n jogl
# remove all binary libs
cd ..
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.zip" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

cp jogl/make/jogl.properties %homedir 
cp jogl/make/gluegen.properties %homedir 

%build
%add_classpath $_javadir/jre/ext/jogl.jar
%add_classpath $_javadir/jre/ext/gluegen.jar
%add_classpath /usr/share/java
%add_classpath /usr/share/ant/lib/
%add_classpath /usr/share/ant/lib/ant-antlr.jar



cd %_builddir/jogl/make
%ant_build -lib /usr/share/java

%install
# jars
install -d -m 755 %buildroot%_javadir/
install -d -m 755 %buildroot%_libdir/jogl
install -d -m 755 %buildroot%_libdir/
install -m 644 %_builddir/jogl/build/jogl*.jar %buildroot%_javadir/
cp -ar %_builddir/jogl/build/obj/*.so %buildroot%_libdir/



%files
%_javadir/*
%_libdir/*
%doc LICENSE.txt COPYRIGHT.txt README.txt CHANGELOG.txt

%files manual
%doc doc

%changelog
* Sat Dec 22 2007 Denis Medvedev <nbr@altlinux.ru> 1.1.1_rc6-alt4
- moved .so to libdir

* Fri Dec 21 2007 Denis Medvedev <nbr@altlinux.ru> 1.1.1_rc6-alt3
- Added missing .so

* Sat Nov 10 2007 Denis Medvedev <nbr@altlinux.ru> 1.1.1_rc6-alt2
- removed gluegen, put it in other packet

* Tue Oct 30 2007 Denis Medvedev <nbr@altlinux.ru> 1.1.1_rc6-alt1
- Initial ALT build

